List mockups
curl --request GET \
--url https://api.surefeedback.com/api/v1/mockups \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.surefeedback.com/api/v1/mockups"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.surefeedback.com/api/v1/mockups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "110e8400-e29b-41d4-a716-44665544000b",
"name": "Homepage Design v1",
"file_type": "image",
"file_url": "https://...",
"project_id": "770e8400-e29b-41d4-a716-446655440002",
"versions": [],
"created_at": "2026-02-01T00:00:00Z"
}
]
}
Mockups
List mockups
Get all mockups for a project.
GET
/
mockups
List mockups
Returns all mockups for a project, including version history.
Requires authentication via
X-API-Key: sf_your_api_key_here.Query parameters
string
required
UUID of the project.
{
"success": true,
"data": [
{
"id": "110e8400-e29b-41d4-a716-44665544000b",
"name": "Homepage Design v1",
"file_type": "image",
"file_url": "https://...",
"project_id": "770e8400-e29b-41d4-a716-446655440002",
"versions": [],
"created_at": "2026-02-01T00:00:00Z"
}
]
}
Was this page helpful?
⌘I